Bug 23597 - Holds API is missing reserved parameters on the GET spec
Summary: Holds API is missing reserved parameters on the GET spec
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: REST api (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Julian Maurice
URL:
Keywords:
: 23358 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-09-11 17:27 UTC by Owen Leonard
Modified: 2019-09-19 16:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 23597: Add missing reserved query parameters to GET /holds (1.03 KB, patch)
2019-09-11 17:34 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23597: Add missing reserved query parameters to GET /holds (1.08 KB, patch)
2019-09-11 18:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23597: Add missing reserved query parameters to GET /holds (1.14 KB, patch)
2019-09-16 08:28 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-09-11 17:27:12 UTC
When I make a request for a list of holds on a particular biblionumber I get results from multiple biblios. It looks like the query is using a "LIKE" search:

api/v1/holds?biblio_id=41 returns records for 241, 41, 2541, 4129...
Comment 1 Tomás Cohen Arazi 2019-09-11 17:34:06 UTC
Created attachment 92713 [details] [review]
Bug 23597: Add missing reserved query parameters to GET /holds

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Owen Leonard 2019-09-11 18:06:53 UTC
Created attachment 92714 [details] [review]
Bug 23597: Add missing reserved query parameters to GET /holds

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Owen Leonard 2019-09-11 18:22:20 UTC
Problem found: When I try to load the list of holds on the patron's account I get an error from the API:

Can't call method "branchname" on an undefined value at /kohadevbox/koha/svc/holds line 89
	eval {...} at /kohadevbox/koha/svc/holds line 2
Comment 4 Owen Leonard 2019-09-11 18:28:16 UTC
Never mind that appears to be unrelated.
Comment 5 Julian Maurice 2019-09-16 08:28:20 UTC
Created attachment 92826 [details] [review]
Bug 23597: Add missing reserved query parameters to GET /holds

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Martin Renvoize 2019-09-17 11:40:53 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Josef Moravec 2019-09-17 19:14:40 UTC
*** Bug 23358 has been marked as a duplicate of this bug. ***
Comment 8 Fridolin SOMERS 2019-09-19 16:00:34 UTC
Pushed to 19.05.x for 19.05.04